Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.binding
Class ComposedJXPathBindingBase

    java.lang.Object
      org.apache.cocoon.util.AbstractLogEnabled
          org.apache.cocoon.forms.binding.JXPathBindingBase
              org.apache.cocoon.forms.binding.ComposedJXPathBindingBase

All Implemented Interfaces:
  Binding

Direct Known Subclasses:
  AggregateJXPathBinding, CaseJXPathBinding, ClassJXPathBinding, ContextJXPathBinding, NewJXPathBinding, UnionJXPathBinding

public class ComposedJXPathBindingBase
extends JXPathBindingBase

ComposedJXPathBindingBase provides a helper base class for subclassing into specific `JXPathBindingBase` implementations that have nested child-bindings.

Version:
  $Id: ComposedJXPathBindingBase.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary

Fields inherited from class org.apache.cocoon.forms.binding.JXPathBindingBase
`classes, parent`

Constructor Summary
`ComposedJXPathBindingBase(JXPathBindingBuilderBase.CommonAttributes commonAtts, JXPathBindingBase[] childBindings)` Constructs ComposedJXPathBindingBase

Method Summary
`void` | `doLoad(Widget frmModel, org.apache.commons.jxpath.JXPathContext jxpc)` Actively performs the binding from the ObjectModel to the CForms-form by passing the task onto it's children.
`void` | `doSave(Widget frmModel, org.apache.commons.jxpath.JXPathContext jxpc)` Actively performs the binding from the CForms-form to the ObjectModel by passing the task onto it's children.
`JXPathBindingBase[]` | `getChildBindings()` Returns child bindings.
`Binding` | `getClass(String id)` Gets a binding class by id.
`String` | `getXPath()`

Methods inherited from class org.apache.cocoon.forms.binding.JXPathBindingBase
`getCommonAtts, getEnclosingLibrary, getId, getLocation, isValid, loadFormFromModel, loadFormFromModel, saveFormToModel, saveFormToModel, selectWidget, setEnclosingLibrary, setParent`

Methods inherited from class org.apache.cocoon.util.AbstractLogEnabled
`getLogger, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComposedJXPathBindingBase

    public ComposedJXPathBindingBase(JXPathBindingBuilderBase.CommonAttributes commonAtts,
                                     JXPathBindingBase[] childBindings)

  Constructs ComposedJXPathBindingBase

Parameters:
  `childBindings` - sets the array of childBindings

Method Detail

### getXPath

    public String getXPath()

### getClass

    public Binding getClass(String id)

  Gets a binding class by id.

  Specified by:
    `getClass` in interface `Binding`
  Overrides:
    `getClass` in class `JXPathBindingBase`
  Parameters:
    `id` - Id of binding class to get.
  See Also:
    `Binding.getClass(java.lang.String)`

### getChildBindings

    public JXPathBindingBase[] getChildBindings()

  Returns child bindings.

### doLoad

    public void doLoad(Widget frmModel,
                       org.apache.commons.jxpath.JXPathContext jxpc)
                throws BindingException

  Actively performs the binding from the ObjectModel to the CForms-form by passing the task onto it's children.

  Specified by:
    `doLoad` in class `JXPathBindingBase`
  Throws:
    `BindingException`

### doSave

    public void doSave(Widget frmModel,
                       org.apache.commons.jxpath.JXPathContext jxpc)
                throws BindingException

  Actively performs the binding from the CForms-form to the ObjectModel by passing the task onto it's children.

  Specified by:
    `doSave` in class `JXPathBindingBase`
  Throws:
    `BindingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.